<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org">
	
	<head>
		<title>Achievents</title>
		
		 <!-- Required meta tags -->
	    <meta charset="utf-8">
	    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
	    <!-- Bootstrap CSS -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
		<script type="text/javascript" src="/js/profilo.js"></script>
	</head>
	
	<body style="background-color: #E3E2E6">
		
		<div class="container">
			
			<br><br>
			<h3>Registrazione Studente</h3>
			<hr>
			
			
			
			<form id="form" onsubmit="return validateForm()" action="#" th:action="@{/studente-info(username=${user.username}, password=${user.password}, tipo=${user.tipo})}"
							 th:object="${studente}" method="POST">
							 
				<!-- Add hidden form field to handle update -->
				<input type="hidden" th:field="*{id}"/>
				
				<input type="text" th:field="*{nome}"
						class="inputs form-control mb-4 col-4" placeholder="Nome">
				<input type="text" th:field="*{cognome}"
						class="inputs form-control mb-4 col-4" placeholder="Cognome">
				<input type="text" th:field="*{facolta}"
						class="inputs form-control mb-4 col-4" placeholder="Facolta">
				<input type="text" th:field="*{uniStud.nome}" class="inputs form-control mb-4 col-4" placeholder="Università"/>	
				<input type="hidden" th:field="*{uniStud.iduniversita}"/>	
				
				<input type="hidden" th:field="*{cv}"/>		
				<button type="submit" class="btn btn-info col-2">Conferma</button>	 
				<br><br>
			</form>
			<hr>
			<a th:href="@{/registration}">Indietro</a>
		</div>
	</body>
	
</html>